org.keycloak.example.ws

## Class UnknownPersonFault

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.keycloak.example.ws.UnknownPersonFault

- All Implemented Interfaces:
    Serializable

      @WebFault(name="UnknownPersonFault")
      public class UnknownPersonFault
      extends Exception

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownPersonFault()`
    `UnknownPersonFault(String message)`
    `UnknownPersonFault(String message, Throwable cause)`
    `UnknownPersonFault(String message, UnknownPersonFault unknownPersonFault)`
    `UnknownPersonFault(String message, UnknownPersonFault unknownPersonFault, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnknownPersonFault` | `getFaultInfo()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          public static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UnknownPersonFault

          public UnknownPersonFault()

    - #### UnknownPersonFault

          public UnknownPersonFault(String message)

    - #### UnknownPersonFault

          public UnknownPersonFault(String message,
                            Throwable cause)

    - #### UnknownPersonFault

          public UnknownPersonFault(String message,
                            UnknownPersonFault unknownPersonFault)

    - #### UnknownPersonFault

          public UnknownPersonFault(String message,
                            UnknownPersonFault unknownPersonFault,
                            Throwable cause)

  - ### Method Detail

    - #### getFaultInfo

          public UnknownPersonFault getFaultInfo()

Copyright © 2015. All rights reserved.